## org.apache.cassandra.io.util
Interface FileDataInput

All Superinterfaces:
  java.io.Closeable, java.io.DataInput

All Known Implementing Classes:
  CompressedRandomAccessReader, MappedFileDataInput, RandomAccessReader

    public interface FileDataInput

extends java.io.DataInput, java.io.Closeable

Method Summary
`long` `bytesPastMark(FileMark mark)`
`long` `bytesRemaining()`
`java.lang.String` `getPath()`
`boolean` `isEOF()`
`FileMark` `mark()`
`java.nio.ByteBuffer` `readBytes(int length)` Read length bytes from current file position
`void` `reset(FileMark mark)`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### getPath

    java.lang.String getPath()

### isEOF

    boolean isEOF()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesRemaining

    long bytesRemaining()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### mark

    FileMark mark()

### reset

    void reset(FileMark mark)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### bytesPastMark

    long bytesPastMark(FileMark mark)

### readBytes

    java.nio.ByteBuffer readBytes(int length)
                                  throws java.io.IOException

  Read length bytes from current file position

  Parameters:
    `length` - length of the bytes to read
  Returns:
    buffer with bytes read
  Throws:
    `java.io.IOException` - if any I/O operation failed

Copyright © 2012 The Apache Software Foundation